Program TestShowPCX;
{$M 16384,0,655360}
{$S-}

uses Graph, EasyPCX;


const PathToBGI = 'C:\BP\BGI';    { Change it, if necessary. }

var   SVGAdrv16,
      SVGAdrv256 : integer;
      gd, gm     : integer;


begin
   if (ParamCount = 0) then
      begin
         writeln;
         writeln('Simple demo/test for ShowPCX.');
         writeln('Sintax:  TESTSHOW <filename>');
         halt
      end;


   SVGAdrv16:=InstallUserDriver('svga16', nil);
   if GraphResult <> grOk then
      begin
         WriteLn('Error installing SVGA16.BGI');
         Halt(1)
      end;

   SVGAdrv256:=InstallUserDriver('svga256', nil);
   if GraphResult <> grOk then
      begin
         WriteLn('Error installing SVGA256.BGI');
         Halt(1)
      end;

{ * NOTE. Using a 16 colors mode, you can show only 2 colors and 16 colors images * }
   gd:=VGA;  gm:=VGAhi;     { *** Change this line to test other modes *** }
   InitGraph(gd, gm, PathToBGI);
   if GraphResult<>grOK then
      begin
         writeln('Cannot init graphics!');
         halt(1)
      end;
   SetViewPort(0,0, GetMaxX, GetMaxY, ClipOn);  { Change the view port, if you want. }

   AssignPCX(ParamStr(1));
   ShowPCX(active, active, NormalPut);
   if PCXresult=PCXok then readln;      { It waits for ENTER. }
   CloseGraph;
   if PCXresult<>PCXok then
      writeln('PCX error #', PCXresult, ': ', PCXerrorMsg(PCXresult, english))
end.
